Package fr.gouv.vitam.functional.administration.rest

# Class AgenciesResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.AgenciesResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class AgenciesResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgenciesResource(AgenciesService agenciesService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkAgenciesFile(InputStream agencyStream)`
  check the agencie file
  `jakarta.ws.rs.core.Response`
  `getAgencies(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  find access contracts by queryDsl
  `jakarta.ws.rs.core.Response`
  `importAgencies(jakarta.ws.rs.core.HttpHeaders headers, InputStream inputStream, jakarta.ws.rs.core.UriInfo uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgenciesResource

    public AgenciesResource(AgenciesService agenciesService)

- ## Method Details

  - ### importAgencies

    @Path("/agencies/import") @POST @Consumes("application/octet-stream") @Produces("application/json") public jakarta.ws.rs.core.Response importAgencies(@Context jakarta.ws.rs.core.HttpHeaders headers, InputStream inputStream, @Context jakarta.ws.rs.core.UriInfo uri)

  - ### getAgencies

    @Path("/agencies") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getAgencies(com.fasterxml.jackson.databind.JsonNode queryDsl)
    find access contracts by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response

  - ### checkAgenciesFile

    @Path("/agencies/check") @POST @Consumes("application/octet-stream") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response checkAgenciesFile(InputStream agencyStream)
    check the agencie file
    Parameters:
      `agencyStream` - the stream containing agencies to be checked
    Returns:
      Response
    Throws:
      `IOException` - convert inputstream agency to File exception occurred
      `InvalidCreateOperationException` - if exception occurred when create query
      `InvalidParseOperationException` - if parsing json data exception occurred
      `ReferentialException` - if exception occurred when create agency file manager